﻿Imports FUTURE.Charting
Imports Steema.TeeChart.Drawing
Imports Steema.TeeChart

Public Class ChartTestForm
    Private ReadOnly m_Legend As TeeChartLegend = New TeeChartLegend()

    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        With tChart1
            .Aspect.View3D = False
            '.BackColor = Color.White
            '.Panel.Color = Color.White
            .Panel.Gradient.Visible = False
            '.Walls.Back.Color = Color.White
            .Walls.Back.Gradient.Visible = False
            .Walls.Back.Color = .Panel.Color

            'Adjust fonts
            .Header.Font.Brush.Color = Color.Blue
            .Header.Font.Name = "Arial"
            .Header.Font.Size = 10
            .Header.Font.SizeFloat = 10.0!
            .SubHeader.Font.Name = "Arial"

            .Dock = DockStyle.Fill
        End With

        Dim helper As ChartHelper = New ChartHelper(tChart1)

        Dim rowCount As Integer = helper.SampleRowLabels.Count()
        Dim columnCount As Integer = helper.SampleColumnLabels.Count()

        helper.AddSeries(rowCount * columnCount)
        helper.AssignLegendSeries(rowCount, columnCount)

        m_Legend.Initialize(tChart1, helper.SampleRowLabels, helper.SampleColumnLabels, helper.SampleColors)
    End Sub

    Private Sub ExportPngButton_Click(sender As Object, e As EventArgs) Handles ExportPngButton.Click
        Dim fileName As String = "C:\CustomLegend.png"
        tChart1.Export.Image.PNG.Save(fileName)
        Process.Start(fileName)
    End Sub
End Class